<!DOCTYPE html>
<html ng-app="specflowReport">
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    
    <link type="text/css" rel="stylesheet" href="css/bootstrap.css"  media="screen,projection"/>
    <link type="text/css" rel="stylesheet" href="css/style.css"/>
  </head>

  <body>
    
    <div id="specflowReport" class="col-md-12" ng-controller="reportController">
    
      <nav class="navbar navbar-default">
        <div class="container-fluid">
        
          <div class="navbar-header">
           <a href="#" class="navbar-brand">Specflow report</a>
          </div>
          
          <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
            
              <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">Tags<span class="caret"></span></a>
                <ul class="dropdown-menu" role="menu">
                  <li ng-repeat="tag in uniqueTags()">
                    <a href="" ng-click="$parent.filter=tag;" class="navbar-link">{{tag}}</a>
                  </li>
                    <li class="divider" ng-if="filter != ''"></li>
                    <li ng-if="filter != ''"><a href="" ng-click="$parent.filter='';">Reset filter</a></li>
                </ul>
              </li>
              
            </ul>
          </div>
          
        </div>
      </nav>
      
      <div ng-hide="dataLoaded" class="alert alert-info"><b>Loading data, please wait...</b></div>
      <div ng-show = "dataLoaded" class="ng-hide">
        
          <div ng-repeat="feature in features | filter:{tags:filter}" class="panel panel-default">
            <div class="panel-heading {{$parent.chooseColor(feature.result)}}" ng-click="isFeatCollapsed = !isFeatCollapsed"><b>{{combineFeatureName(feature)}}</b> <span class="badge">{{feature.result}}</span></div>
            <div class="panel-body" collapse="isFeatCollapsed">
              <p><i>{{feature.description}}</i></p>
              
              <div class="panel panel-default" ng-repeat="scenario in feature.scenarios">
                <div class="panel-heading {{$parent.chooseColor(scenario.result)}}" ng-click="isScenarioCollapsed = !isScenarioCollapsed"><b>Scenario:</b> {{scenario.title}} <span class="badge">{{scenario.result}}</span></div>
                <div class="panel-body" collapse="isScenarioCollapsed">
                  <span ng-if="scenario.given.steps.length > 0">
                    <span ng-repeat="givenSteps in scenario.given.steps">
                    
                      <span ng-switch on="$index">
                        <span ng-switch-when="0">
                          <b>Given</b>
                        </span>
                        <span ng-switch-default>
                          <b>And</b>
                        </span>
                      </span>
                      
                      <span class="{{$parent.chooseColor(givenSteps.result)}}">{{givenSteps.title}}</span><br/>
                      
                      <span ng-if="givenSteps.table != null">
                        <table class="table table-bordered">
                          <thead>
                            <tr>
                              <th ng-repeat="tableHeadColumn in givenSteps.table.columns">{{tableHeadColumn}}</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr ng-repeat="tableRow in givenSteps.table.rows">
                              <td ng-repeat="tableHeadColumn in givenSteps.table.columns">
                                {{tableRow[tableHeadColumn]}}
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </span>
                      
                    </span>
                  </span>
                  
                  <span ng-repeat="steps in scenario.recombined">
                  
                     <span ng-if="steps.items.length > 0">
                      <span ng-repeat="step in steps.items">
                         <span ng-switch on="$index">
                          <span ng-switch-when="0">
                            <b>{{steps.type}}</b>
                          </span>
                          <span ng-switch-default>
                            <b>And</b>
                          </span>
                        </span>
                        <span class="{{$parent.chooseColor(step.result)}}">{{step.title}}</span><br/>
                        
                        <span ng-if="step.table != null">
                          <table class="table table-bordered">
                            <thead>
                              <tr>
                                <th ng-repeat="tableHeadColumn in step.table.columns">{{tableHeadColumn}}</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr ng-repeat="tableRow in step.table.rows">
                                <td ng-repeat="tableHeadColumn in step.table.columns">
                                  {{tableRow[tableHeadColumn]}}
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </span>
                      </span>
                    </span>
                    
                  </span>
                  
                </div>
              </div>
            </div>
          </div>
      </div>  
    </div>
    
    <script type="text/javascript"  src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/angularjs/1.3.16/angular.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/angular-ui-bootstrap/0.13.0/ui-bootstrap.min.js"></script>
    <script type="text/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/underscore.js/1.8.3/underscore-min.js"></script>
    
    <script type="text/javascript" src="js/report-data.js"></script>
    <script type="text/javascript" src="js/app.js"></script>
 
  </body>
</html>